Create transactions

post

/fscmRestApi/resources/11.13.18.05/inventoryBalanceTransactions

Request

Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : Transaction Lines
Type: array
Title: Transaction Lines
The Transaction Lines resource manages details about the inventory balance.
Show Source
Nested Schema : schema
Type: object
Show Source
Nested Schema : dffForTransactionLines
Type: array
Show Source
Nested Schema : inventoryAttributesDFF
Type: array
Show Source
Nested Schema : Lot Details for Items
Type: array
Title: Lot Details for Items
The Lot Details for Items resource manages details about the lot that the inventory balance references when a lot controls the item.
Show Source
Nested Schema : Serial Details for Items
Type: array
Title: Serial Details for Items
The Serial Details for Items resource manages details about the serial that the inventory balance references when a serial controls the item.
Show Source
Nested Schema : schema
Type: object
Show Source
Nested Schema : schema
Type: object
Show Source
Nested Schema : schema
Type: object
Show Source
Nested Schema : dffForItemLots
Type: array
Show Source
Nested Schema : Serial and Lot Details for Items
Type: array
Title: Serial and Lot Details for Items
The Serial and Lot Details for Items resource manages details that the inventory balance references when a serial and a lot control the item.
Show Source
Nested Schema : schema
Type: object
Show Source
Nested Schema : schema
Type: object
Show Source
Nested Schema : dffForItemSerialsForLot
Type: array
Show Source
Nested Schema : schema
Type: object
Show Source
Nested Schema : schema
Type: object
Show Source
Nested Schema : dffForItemSerials
Type: array
Show Source
Nested Schema : schema
Type: object
Show Source
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : inventoryBalanceTransactions-item-response
Type: object
Show Source
Nested Schema : Transaction Lines
Type: array
Title: Transaction Lines
The Transaction Lines resource manages details about the inventory balance.
Show Source
Nested Schema : inventoryBalanceTransactions-transactionLines-item-response
Type: object
Show Source
Nested Schema : dffForTransactionLines
Type: array
Show Source
Nested Schema : inventoryAttributesDFF
Type: array
Show Source
Nested Schema : Lot Details for Items
Type: array
Title: Lot Details for Items
The Lot Details for Items resource manages details about the lot that the inventory balance references when a lot controls the item.
Show Source
Nested Schema : Serial Details for Items
Type: array
Title: Serial Details for Items
The Serial Details for Items resource manages details about the serial that the inventory balance references when a serial controls the item.
Show Source
Nested Schema : inventoryBalanceTransactions-transactionLines-dffForTransactionLines-item-response
Type: object
Show Source
Nested Schema : inventoryBalanceTransactions-transactionLines-inventoryAttributesDFF-item-response
Type: object
Show Source
Nested Schema : inventoryBalanceTransactions-transactionLines-itemLots-item-response
Type: object
Show Source
Nested Schema : dffForItemLots
Type: array
Show Source
Nested Schema : Serial and Lot Details for Items
Type: array
Title: Serial and Lot Details for Items
The Serial and Lot Details for Items resource manages details that the inventory balance references when a serial and a lot control the item.
Show Source
Nested Schema : inventoryBalanceTransactions-transactionLines-itemLots-dffForItemLots-item-response
Type: object
Show Source
Nested Schema : inventoryBalanceTransactions-transactionLines-itemLots-itemSerialsForLot-item-response
Type: object
Show Source
Nested Schema : dffForItemSerialsForLot
Type: array
Show Source
Nested Schema : inventoryBalanceTransactions-transactionLines-itemLots-itemSerialsForLot-dffForItemSerialsForLot-item-response
Type: object
Show Source
Nested Schema : inventoryBalanceTransactions-transactionLines-itemSerials-item-response
Type: object
Show Source
Nested Schema : dffForItemSerials
Type: array
Show Source
Nested Schema : inventoryBalanceTransactions-transactionLines-itemSerials-dffForItemSerials-item-response
Type: object
Show Source
Back to Top

Examples

This example describes how to update the inventory balance transactions for one item that resides in one organization and in one subinventory.

Example cURL Command

Use the following cURL command to submit a request on the REST resource. This example updates the inventory balance transactions for item INV-100 that resides in organization M1 and in subinventory ABCSUB01:

curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/inventoryBalanceTransactions?onlyData=true"

Example Request Body

The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it creates.

{
	"SubmitForProcessing": "No",
	"transactionLines": [
	{
		"OrganizationCode": "M1",
		"ItemNumber": "INV-102",
		"Subinventory": "Stores",
		"PrimaryUOMQuantity": 3,
		"PrimaryUnitOfMeasure": "Each",
		"OwningTradingPartnerType": 2,
		"OwningOrganizationCode": "M1",
		"itemSerials": [
		{
			"FromSerialNumber": "AAANEWSER103",
			"ToSerialNumber": "AAANEWSER105"
		}
		],
		"inventoryAttributesDFF": [
		{
			"projectId_Display": "P6004",
			"taskId_Display": "1.1",
			"countryOfOriginCode_Display": "Argentina"
		}
		]
	}
	]
}

Example Response Body

The following example includes the contents of the response body in JSON format:

{
	"ReturnStatus": "SUCCESS",
	"ReturnMessageCode": "INV_OUT_COMPL_MSG_SCC",
	"ReturnMessageText": "The process successfully completed.",
	"TotalRecordsCount": 1,
	"SuccessRecordsCount": null,
	"FailedRecordsCount": null,
	"SubmitForProcessing": "No",
	"transactionLines": [
	{
		"OrganizationId": 207,
		"OrganizationCode": "M1",
		"OrganizationName": null,
		"InventoryItemId": null,
		"ItemNumber": "INV-102",
		"Revision": null,
		"Subinventory": "Stores",
		"LocatorId": null,
		"LocatorName": null,
		"PrimaryUOMQuantity": 3,
		"PrimaryUOMCode": null,
		"PrimaryUnitOfMeasure": "Each",
		"SecondaryUOMQuantity": null,
		"SecondaryUOMCode": null,
		"SecondaryUnitOfMeasure": null,
		"OwningTradingPartnerType": "2",
		"OwningOrganizationId": null,
		"OwningOrganizationCode": "M1",
		"PrcBUName": null,
		"VendorName": null,
		"VendorNumber": null,
		"ConsignmentAgreementNumber": null,
		"AccountAliasId": null,
		"AccountAliasName": null,
		"AgingOnsetDate": null,
		"TransactionSourceCode": null,
		"inventoryAttributesDFF": [
		{
			"TransactionInterfaceId": 300100188027054,
			"projectId": 100000015590866,
			"projectId_Display": "P6004",
			"taskId": 100000015590911,
			"taskId_Display": "1.1",
			"countryOfOriginCode": "AR",
			"countryOfOriginCode_Display": "Argentina",
			"__FLEX_Context": null,
			"__FLEX_Context_DisplayValue": null,
			"links": [
			{
				"rel": "self",
				"href": "https://servername/fscmRestApi/resources/version/inventoryBalanceTransactions/3003/child/transactionLines/300100188027054/child/inventoryAttributesDFF/300100188027054",
				"name": "inventoryAttributesDFF",
				"kind": "item",
				"properties": {
					"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
				}
			},
			{
				"rel": "canonical",
				"href": "https://servername/fscmRestApi/resources/version/inventoryBalanceTransactions/3003/child/transactionLines/300100188027054/child/inventoryAttributesDFF/300100188027054",
				"name": "inventoryAttributesDFF",
				"kind": "item"
			},
			{
				"rel": "parent",
				"href": "https://servername/fscmRestApi/resources/version/inventoryBalanceTransactions/3003/child/transactionLines/300100188027054",
				"name": "transactionLines",
				"kind": "item"
			},
			{
				"rel": "lov",
				"href": "https://servername/fscmRestApi/resources/version/inventoryBalanceTransactions/3003/child/transactionLines/300100188027054/child/inventoryAttributesDFF/300100188027054/lov/LVVO___FLEX_Context",
				"name": "LVVO___FLEX_Context",
				"kind": "collection"
			},
			{
				"rel": "lov",
				"href": "https://servername/fscmRestApi/resources/version/inventoryBalanceTransactions/3003/child/transactionLines/300100188027054/child/inventoryAttributesDFF/300100188027054/lov/LVVO_taskId",
				"name": "LVVO_taskId",
				"kind": "collection"
			},
			{
				"rel": "lov",
				"href": "https://servername/fscmRestApi/resources/version/inventoryBalanceTransactions/3003/child/transactionLines/300100188027054/child/inventoryAttributesDFF/300100188027054/lov/LVVO_projectId",
				"name": "LVVO_projectId",
				"kind": "collection"
			},
			{
				"rel": "lov",
				"href": "https://servername/fscmRestApi/resources/version/inventoryBalanceTransactions/3003/child/transactionLines/300100188027054/child/inventoryAttributesDFF/300100188027054/lov/LVVO_countryOfOriginCode",
				"name": "LVVO_countryOfOriginCode",
				"kind": "collection"
			}
			]
		}
		],
		"itemSerials": [
		{
			"FromSerialNumber": "AAANEWSER103",
			"ToSerialNumber": "AAANEWSER105",
			"FromVendorSerialNumber": null,
			"ToVendorSerialNumber": null,
			"TerritoryCode": null,
			"OriginationDate": null,
			"StatusId": null,
			"StatusCode": null,
			"StatusName": null,
			"TerritoryShortName": null,
			"links": [
			{
				"rel": "self",
				"href": "https://servername/fscmRestApi/resources/version/inventoryBalanceTransactions/3003/child/transactionLines/300100188027054/child/itemSerials/300100188027055",
				"name": "itemSerials",
				"kind": "item",
				"properties": {
					"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
				}
			},
			{
				"rel": "canonical",
				"href": "https://servername/fscmRestApi/resources/version/inventoryBalanceTransactions/3003/child/transactionLines/300100188027054/child/itemSerials/300100188027055",
				"name": "itemSerials",
				"kind": "item"
			},
			{
				"rel": "parent",
				"href": "https://servername/fscmRestApi/resources/version/inventoryBalanceTransactions/3003/child/transactionLines/300100188027054",
				"name": "transactionLines",
				"kind": "item"
			},
			{
				"rel": "child",
				"href": "https://servername/fscmRestApi/resources/version/inventoryBalanceTransactions/3003/child/transactionLines/300100188027054/child/itemSerials/300100188027055/child/dffForItemSerials",
				"name": "dffForItemSerials",
				"kind": "collection"
			}
			]
		}
		],
		"links": [
		{
			"rel": "self",
			"href": "https://servername/fscmRestApi/resources/version/inventoryBalanceTransactions/3003/child/transactionLines/300100188027054",
			"name": "transactionLines",
			"kind": "item",
			"properties": {
				"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
			}
		},
		{
			"rel": "canonical",
			"href": "https://servername/fscmRestApi/resources/version/inventoryBalanceTransactions/3003/child/transactionLines/300100188027054",
			"name": "transactionLines",
			"kind": "item"
		},
		{
			"rel": "parent",
			"href": "https://servername/fscmRestApi/resources/version/inventoryBalanceTransactions/3003",
			"name": "inventoryBalanceTransactions",
			"kind": "item"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/inventoryBalanceTransactions/3003/child/transactionLines/300100188027054/child/dffForTransactionLines",
			"name": "dffForTransactionLines",
			"kind": "collection"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/inventoryBalanceTransactions/3003/child/transactionLines/300100188027054/child/inventoryAttributesDFF",
			"name": "inventoryAttributesDFF",
			"kind": "collection"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/inventoryBalanceTransactions/3003/child/transactionLines/300100188027054/child/itemLots",
			"name": "itemLots",
			"kind": "collection"
		},
		{
			"rel": "child",
			"href": "https://servername/fscmRestApi/resources/version/inventoryBalanceTransactions/3003/child/transactionLines/300100188027054/child/itemSerials",
			"name": "itemSerials",
			"kind": "collection"
		}
		]
	}
	],
	"links": [
	{
		"rel": "self",
		"href": "https://servername/fscmRestApi/resources/version/inventoryBalanceTransactions/3003",
		"name": "inventoryBalanceTransactions",
		"kind": "item"
	},
	{
		"rel": "canonical",
		"href": "https://servername/fscmRestApi/resources/version/inventoryBalanceTransactions/3003",
		"name": "inventoryBalanceTransactions",
		"kind": "item"
	},
	{
		"rel": "child",
		"href": "https://servername/fscmRestApi/resources/version/inventoryBalanceTransactions/3003/child/transactionLines",
		"name": "transactionLines",
		"kind": "collection"
	}
	]
}
Back to Top